# Generated by Django 3.1 on 2020-08-28 14:21

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Planet',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=35, verbose_name='Название планеты')),
            ],
            options={
                'verbose_name': 'Планета',
                'verbose_name_plural': 'Планеты',
            },
        ),
        migrations.CreateModel(
            name='Questions',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('question', models.CharField(max_length=35, verbose_name='Вопрос')),
            ],
            options={
                'verbose_name': 'Вопрос для получения руки Тени',
                'verbose_name_plural': 'Вопросы для получения руки Тени',
            },
        ),
        migrations.CreateModel(
            name='Recruit',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=35, verbose_name='Имя рекрута')),
                ('age', models.IntegerField(verbose_name='Возраст')),
                ('email', models.EmailField(max_length=254, verbose_name='Почта рекрута')),
                ('planet', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='recruit.planet', verbose_name='Планета обитания рекрута')),
            ],
            options={
                'verbose_name': 'Рекрут',
                'verbose_name_plural': 'Рекруты',
            },
        ),
        migrations.CreateModel(
            name='Sith',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=20, verbose_name='Имя ситха')),
                ('planet', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='recruit.planet', verbose_name='Планета обитания ситха')),
            ],
            options={
                'verbose_name': 'Ситх',
                'verbose_name_plural': 'Ситхи',
            },
        ),
        migrations.CreateModel(
            name='RecruitAnswers',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('answer', models.BooleanField(verbose_name='Ответ рекурта')),
                ('question', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='recruit.questions', verbose_name='Вопрос')),
                ('recruit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='recruit.recruit', verbose_name='Рекрут')),
            ],
            options={
                'verbose_name': 'Ответ рекрута',
                'verbose_name_plural': 'Ответы рекрута',
            },
        ),
        migrations.AddField(
            model_name='recruit',
            name='sith',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='recruit.sith'),
        ),
    ]
